import java.util.Date
import java.text.SimpleDateFormat



plugins {
    id("com.android.application")
    id("org.jetbrains.kotlin.android")
    id("io.objectbox")
    kotlin("kapt")
    id("com.google.gms.google-services")
    id("com.google.firebase.crashlytics")
}
val timestamp = SimpleDateFormat("MM_dd_HH_mm").format(Date())
android {
    namespace = "com.wall.snap.wallpaper"
    compileSdk = 36

    defaultConfig {
        //com.wall.snap.wallpaper
        applicationId = "com.wall.snap.wallpaper"
        minSdk = 24
        targetSdk = 36
        versionCode = 2
        versionName = "1.2"

        setProperty("archivesBaseName", "Snap Wallpaper_V" + versionName + "(${versionCode})_$timestamp")
        testInstrumentationRunner = "androidx.live.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            isMinifyEnabled = true
            proguardFiles(
                getDefaultProguardFile("proguard-android-optimize.txt"),
                "proguard-rules.pro"
            )
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_1_8
        targetCompatibility = JavaVersion.VERSION_1_8
    }
    buildFeatures{
        viewBinding = true
    }
    kotlinOptions {
        jvmTarget = "1.8"
    }
}

dependencies {

    implementation("com.airbnb.android:lottie:6.0.0")

    implementation("jp.wasabeef:blurry:3.0.0")//图片模糊依赖

    implementation("androidx.appcompat:appcompat:1.7.1")
    implementation("com.google.android.material:material:1.11.0")
    implementation("androidx.constraintlayout:constraintlayout:2.2.1")
    testImplementation("junit:junit:4.13.2")
    implementation ("com.github.bumptech.glide:glide:5.0.5")
    implementation ("jp.wasabeef:glide-transformations:4.3.0") // Glide Transformations
    implementation("com.squareup.okhttp3:okhttp:5.3.1")

    implementation(files("libs/UpLoadLibrary_12_03_15_13-release.aar"))
    implementation("androidx.lifecycle:lifecycle-runtime-ktx:2.6.2")
    implementation("com.google.android.gms:play-services-ads-identifier:18.0.1")
    implementation("com.google.android.gms:play-services-location:21.0.1")
    implementation("com.google.android.gms:play-services-appset:16.0.1")
    // Import the Firebase BoM
    implementation(platform("com.google.firebase:firebase-bom:34.6.0"))
    implementation("com.google.firebase:firebase-crashlytics-ndk")
    implementation("com.google.firebase:firebase-analytics")
    // okhttp
    implementation ("com.squareup.okhttp3:okhttp:4.12.0")
    implementation("com.squareup.okhttp3:logging-interceptor:4.12.0")

    // TradPlus
    implementation("com.tradplusad:tradplus:15.1.10.1")
//noinspection GradleCompatible
    implementation("androidx.legacy:legacy-support-v4:1.0.0")
    implementation("androidx.appcompat:appcompat:1.3.0-alpha02")
// Ironsource
    implementation("com.ironsource.sdk:mediationsdk:9.0.0")
    implementation("com.tradplusad:tradplus-ironsource:10.15.1.10.1")
// Pangle
    implementation("com.tradplusad:tradplus-pangle:19.15.1.10.1")
    implementation("com.pangle.global:pag-sdk:7.7.0.2")
// UnityAds
    implementation("com.tradplusad:tradplus-unity:5.15.1.10.1")
    implementation("com.unity3d.ads:unity-ads:4.16.3")
//optional dependency for better targeting
    implementation("androidx.browser:browser:1.8.0")
    implementation("com.squareup.picasso:picasso:2.8")
    implementation("androidx.viewpager:viewpager:1.0.0")
    implementation("androidx.recyclerview:recyclerview:1.2.1")
// Mintegral
    implementation("com.tradplusad:tradplus-mintegralx_overseas:18.15.1.10.1")
    implementation("androidx.recyclerview:recyclerview:1.1.0")
    implementation("com.mbridge.msdk.oversea:mbridge_android_sdk:16.10.11")
// Liftoff
    implementation("com.tradplusad:tradplus-vunglex:7.15.1.10.1")
    implementation("com.vungle:vungle-ads:7.6.0")
// Cross Promotion
    implementation("com.tradplusad:tradplus-crosspromotion:27.15.1.10.1")
// TP Exchange
// 请注意保持与主包版本同步更新
    implementation("com.google.code.gson:gson:2.8.6")
    implementation("com.tradplusad:tp_exchange:40.15.1.10.1")
}